header:
  version: 17
  includes:
    - ../templates/bblayers.conf.yml
    - ../templates/local-arago64-v2.conf.yml

target: tisdk-default-image

repos:
  meta-arago:
    url: "https://git.yoctoproject.org/meta-arago"
    branch: "kirkstone"
    commit: "09.01.00.006"
    layers:
      meta-arago-distro:
      meta-arago-extras:
      meta-arago-demos:
      meta-arago-test:

  meta-qt5:
    url: "https://github.com/meta-qt5/meta-qt5.git"
    branch: "kirkstone"
    commit: "ae8a97f79364bed1abc297636f7933d0e35f22be"

  meta-virtualization:
    url: "https://git.yoctoproject.org/meta-virtualization"
    branch: "kirkstone"
    commit: "67b0ef4256a484851f3556d281ca4caa88374388"

  meta-openembedded:
    url: "https://git.openembedded.org/meta-openembedded"
    branch: "kirkstone"
    commit: "7da6cb848bc42b3e6bd5d2b37b52ba75510a6ca0"
    layers:
      meta-networking:
      meta-python:
      meta-oe:
      meta-gnome:
      meta-filesystems:

  meta-ti:
    url: "https://git.yoctoproject.org/meta-ti"
    branch: "kirkstone"
    commit: "09.01.00.006"
    layers:
      meta-ti-extras:
      meta-ti-bsp:

  meta-arm:
    url: "https://git.yoctoproject.org/meta-arm"
    branch: "kirkstone"
    commit: "b187fb9232ca0a6b5f8f90b4715958546fc41d73"
    layers:
      meta-arm:
      meta-arm-toolchain:

  oe-core:
    url: "https://git.openembedded.org/openembedded-core"
    branch: "kirkstone"
    commit: "4bb6373e5f4a1330a063d1afe855d6c24d5461e7"
    layers:
      meta:

  meta-tisdk:
    url: "https://git.ti.com/cgit/ti-sdk-linux/meta-tisdk"
    branch: "kirkstone"
    commit: "09.01.00.07"

local_conf_header:
  oe-layersetup-local-conf-config-specific: |
    DISTRO_FEATURES:append = " virtualization"
